Skip to main content
DELETE
Remove target languages

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

UID of the project

Body

application/json
targetLangs
string[]
required

List of target language codes to remove from the project (e.g. de, fr-CA). Removal is blocked for a language if any of the following are assigned to the project for that language: an active or trashed job (jobs in the recycle bin also block removal; list trashed jobs via GET /api2/v2/projects/{projectUid}/jobs?trashed=true), a translation memory, or a term base. Removal is also blocked when it would leave the project with no target languages. All blocked languages are listed in the 400 error response.

Required array length: 1 - 2147483647 elements

Response

No Content